Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IIOPC.h File Reference

`#include "ace/pre.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/corbafwd.h"`
`#include "tao/Managed_Types.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/CDR.h"`
`#include "ace/post.h"`

Include dependency graph for IIOPC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | IIOP
## Compounds
struct | IIOP::BiDirIIOPServiceContext
struct | IIOP::ListenPoint
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | __TAO_UNBOUNDED_SEQUENCE_IIOP_LISTENPOINTLIST_CH_
#define | _IIOP_LISTENPOINTLIST_CH_
#define | _IIOP_LISTENPOINTLIST___VAR_CH_
#define | _IIOP_LISTENPOINTLIST___OUT_CH_
## Functions
TAO_NAMESPACE_CLOSE TAO_Export void | operator<<= (CORBA::Any &, const IIOP::ListenPoint &)
TAO_Export void | operator<<= (CORBA::Any &, IIOP::ListenPoint *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, IIOP::ListenPoint *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const IIOP::ListenPoint *&)
TAO_Export void | operator<<= (CORBA::Any &, const IIOP::ListenPointList &)
TAO_Export void | operator<<= (CORBA::Any &, IIOP::ListenPointList *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, IIOP::ListenPointList *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const IIOP::ListenPointList *&)
TAO_Export void | operator<<= (CORBA::Any &, const IIOP::BiDirIIOPServiceContext &)
TAO_Export void | operator<<= (CORBA::Any &, IIOP::BiDirIIOPServiceContext *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, IIOP::BiDirIIOPServiceContext *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const IIOP::BiDirIIOPServiceContext *&)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const IIOP::ListenPoint &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, IIOP::ListenPoint &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const IIOP::ListenPointList &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, IIOP::ListenPointList &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const IIOP::BiDirIIOPServiceContext &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, IIOP::BiDirIIOPServiceContext &)

## Define Documentation

#define __TAO_UNBOUNDED_SEQUENCE_IIOP_LISTENPOINTLIST_CH_

#define _IIOP_LISTENPOINTLIST___OUT_CH_

#define _IIOP_LISTENPOINTLIST___VAR_CH_

#define _IIOP_LISTENPOINTLIST_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IIOP::BiDirIIOPServiceContext & | _tao_aggregate
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const IIOP::ListenPointList & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const IIOP::ListenPoint & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IIOP::BiDirIIOPServiceContext * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const IIOP::BiDirIIOPServiceContext & | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IIOP::ListenPointList * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const IIOP::ListenPointList & | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | IIOP::ListenPoint * | _tao_elem
| ) |

TAO_NAMESPACE_CLOSE TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const IIOP::ListenPoint & | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IIOP::BiDirIIOPServiceContext & | _tao_aggregate
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | IIOP::ListenPointList & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | IIOP::ListenPoint & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IIOP::BiDirIIOPServiceContext *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IIOP::BiDirIIOPServiceContext *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IIOP::ListenPointList *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IIOP::ListenPointList *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const IIOP::ListenPoint *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | IIOP::ListenPoint *& | _tao_elem
| ) |